Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::RTConfiguration::ThreadPool_Configuration Struct Reference

`import "RTConfiguration.idl";`

List of all members.

## Public Attributes

string | name
unsigned long | stacksize
unsigned long | static_threads
unsigned long | dynamic_threads
RTCORBA::Priority | default_priority
boolean | allow_request_buffering
unsigned long | max_buffered_requests
unsigned long | max_request_buffer_size

## Member Data Documentation

boolean CIAO::RTConfiguration::ThreadPool_Configuration::allow_request_buffering

RTCORBA::Priority CIAO::RTConfiguration::ThreadPool_Configuration::default_priority

unsigned long CIAO::RTConfiguration::ThreadPool_Configuration::dynamic_threads

unsigned long CIAO::RTConfiguration::ThreadPool_Configuration::max_buffered_requests

unsigned long CIAO::RTConfiguration::ThreadPool_Configuration::max_request_buffer_size

string CIAO::RTConfiguration::ThreadPool_Configuration::name

unsigned long CIAO::RTConfiguration::ThreadPool_Configuration::stacksize

unsigned long CIAO::RTConfiguration::ThreadPool_Configuration::static_threads

The documentation for this struct was generated from the following file:

- RTConfiguration.idl